## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate triomphe

Name:           rust-triomphe
Version:        0.1.9
Release:        %autorelease
Summary:        Fork of std::sync::Arc with some extra functionality and without weak references

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/triomphe
Source:         %{crates_source}
# Remove broken unsize optional dependency
Patch:          triomphe-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A fork of std::sync::Arc with some extra functionality and without weak
references (originally servo_arc).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arc-swap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arc-swap-devel %{_description}

This package contains library source intended for building other packages which
use the "arc-swap" feature of the "%{crate}" crate.

%files       -n %{name}+arc-swap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+stable_deref_trait-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stable_deref_trait-devel %{_description}

This package contains library source intended for building other packages which
use the "stable_deref_trait" feature of the "%{crate}" crate.

%files       -n %{name}+stable_deref_trait-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Nov 26 2023 Mattia Verga <mattia.verga@proton.me> - 0.1.9-1
- Initial import (fedora#2250445)
